Package org.eclipse.birt.report.model.api

# Class GridRowBandAdapter

java.lang.Object
org.eclipse.birt.report.model.api.RowBandAdapter
org.eclipse.birt.report.model.api.GridRowBandAdapter

public class GridRowBandAdapter extends RowBandAdapter
Represents an object of copied objects when do copy/paste operations between grids.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected GridHandle`
`element`
The element where the copy/paste operation occurs.

## Method Summary

Modifier and Type
Method
Description
`protected int`
`getColumnCount()`
Returns the number of columns in the element.
`protected ReportItemHandle`
`getElementHandle()`
Returns the element where the copy/paste operation occurs.
`protected int`
`getRowCount()`
Returns count of rows.

### Methods inherited from class org.eclipse.birt.report.model.api.RowBandAdapter

`computeRowCount, computeRowCount, getModule, hasParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### element

protected GridHandle element
The element where the copy/paste operation occurs.

## Method Details

### getElementHandle

protected ReportItemHandle getElementHandle()
Description copied from class: `RowBandAdapter`
Returns the element where the copy/paste operation occurs.

Specified by:
  `getElementHandle` in class `RowBandAdapter`
Returns:
  the element

### getRowCount

protected int getRowCount()
Description copied from class: `RowBandAdapter`
Returns count of rows.

Specified by:
  `getRowCount` in class `RowBandAdapter`
Returns:
  count of rows.

### getColumnCount

protected int getColumnCount()
Description copied from class: `RowBandAdapter`
Returns the number of columns in the element.

Specified by:
  `getColumnCount` in class `RowBandAdapter`
Returns:
  the number of columns in the element